%global pypi_name bindep
%global commitId d23778fcd7bbdf9127bd1209f21d8b24662e1db5

%if 0%{?rhel} == 8
%global component_prefix 3x
%endif

Name:           python%{?component_prefix}-%{pypi_name}
Version:        2.10.2
Release:        3%{?dist}
Summary:        Binary dependency utility

License:        ASL 2.0
URL:            https://opendev.org/opendev/bindep
Source0:        python-bindep-d23778fcd7bbdf9127bd1209f21d8b24662e1db5.tar.gz
BuildArch:      noarch

%description
%{summary}

%package -n python%{python3_pkgversion}-%{pypi_name}
Summary:        Binary dependency utility
%{?python_provide:%python_provide python%{python3_pkgversion}-%{pypi_name}}

BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-pbr >= 2.0.0
BuildRequires:  python%{python3_pkgversion}-setuptools
BuildRequires:  python%{python3_pkgversion}-rpm-macros

Requires:       python%{python3_pkgversion}-packaging
Requires:       python%{python3_pkgversion}-parsley
Requires:       python%{python3_pkgversion}-distro
Requires:       python%{python3_pkgversion}-pbr >= 2.0.0

%if 0%{?rhel} == 8
Obsoletes:      python38-%{pypi_name} < %{version}-%{release}
%endif

%description -n python%{python3_pkgversion}-%{pypi_name}
%{summary}


%prep
%autosetup -n python-%{pypi_name}-%{commitId} -S git
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info


%build
export PBR_VERSION=%{version}
%py3_build


%install
export PBR_VERSION=%{version}
%py3_install


%files -n python%{python3_pkgversion}-%{pypi_name}
%license LICENSE
%doc README.rst doc/source/readme.rst
%{_bindir}/bindep
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info


%changelog
* Thu May 12 2022 Yanis Guenane <yguenane@redhat.com> - 2.10.2-3
- Obsoletes python38 package

* Sat Mar 26 2022 Paul Belanger <pabelanger@redhat.com> - 2.10.2-2
- Add missing python-packaging dependency

* Wed Mar 16 2022 Yanis Guenane <yguenane@redhat.com> - 2.10.2-1
- Release python-bindep 2.10.2

* Tue Nov 09 2021 Odilon Sousa <osousa@redhat.com> - 2.10.1-1
- Release python-bindep 2.10.1

* Wed Sep 08 2021 Evgeni Golov - 2.9.0-1
- Initial package.
